Bug 909157 - Operation parameters are not shown in schedule operation details.
Operation parameters are not shown in schedule operation details.
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.5
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.6
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-08 07:26 EST by Filip Brychta
Modified: 2013-08-31 06:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:17:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
scheduling (125.91 KB, image/png)
2013-02-08 07:26 EST, Filip Brychta
no flags Details
detail (121.18 KB, image/png)
2013-02-08 07:27 EST, Filip Brychta
no flags Details

  None (edit)
Description Filip Brychta 2013-02-08 07:26:47 EST
Created attachment 695044 [details]
scheduling

Description of problem:
$Summary

Version-Release number of selected component (if applicable):
Version: 4.6.0-SNAPSHOT
Build Number: 73a33d5

How reproducible:
Always

Steps to Reproduce:
1. schedule operation 'Manual Autodiscovery' on platform (see attached scheduling.png)
2. go to schedule operation detail
  
Actual results:
Detailed Discovery parameter is not set, see attached detail.png

Expected results:
Parameter is set according to actual setting
Comment 1 Filip Brychta 2013-02-08 07:27:11 EST
Created attachment 695045 [details]
detail
Comment 2 Jirka Kremser 2013-02-14 09:29:39 EST
This bug is related to bug 838665. The fix to the bug 838665 cleared the operation parameters in method refreshOperationParametersItem() for both new record (which is correct) and also for the existing record (this caused this bug). 

master
http://git.fedorahosted.org/cgit/rhq/rhq.git/diff/?id=f5104b4e3

time:    Thu Feb 14 15:28:02 2013 +0100
commit:  f5104b4e3523c481a768a6411e87122371c002ec
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 909157 - Operation parameters are not shown in schedule operation details.] If the method refreshOperationParametersItem() is called when scheduling a new operation, the existent parameters are not forget.
Comment 3 Filip Brychta 2013-02-21 09:38:45 EST
Verified on 
Version: 4.6.0-SNAPSHOT
Build Number: 2b908fa
Comment 4 Heiko W. Rupp 2013-08-31 06:17:08 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.